﻿using System;
using System.Windows.Controls;
using Abt.Controls.SciChart;
using Abt.Controls.SciChart.Visuals;

namespace ScreenshotsAndXpsExport
{
    public partial class ChartView : UserControl
    {
        public ChartView()
        {
            InitializeComponent();
        }

        void ScreenshotControlLoaded(object sender, System.Windows.RoutedEventArgs e)
        {
            // Add a bit of bling. If IsAnimatedOnLoad is true, we set an initial visible range, then animate the
            // visible range to the desired value over a timeframe of 1 second
            if (IsAnimatedOnLoad)
            {
                sciChart.YAxis.VisibleRange = new DoubleRange(0, 100);
                sciChart.XAxis.VisibleRange = new DoubleRange(2.0, 2.5);

                sciChart.YAxis.AnimateVisibleRangeTo(new DoubleRange(0, 10), TimeSpan.FromSeconds(1));
                sciChart.XAxis.AnimateVisibleRangeTo(new DoubleRange(-0.5, 4.5), TimeSpan.FromSeconds(1.5));
            }
        }

        public SciChartSurface SciChartSurface { get { return sciChart; }}

        public bool IsAnimatedOnLoad { get; set; }
    }
}
